MAPIProxy 2.0 API Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Functions
libmapiserver_oxcfxics.c File Reference

OXCFXICS ROP Response size calculations. More...

`#include "libmapiserver.h"`

## Functions
uint16_t | libmapiserver_RopFastTransferSourceCopyTo_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopFastTransferSourceGetBuffer_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopGetLocalReplicaIds_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopSetLocalReplicaMidsetDeleted_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopSyncConfigure_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopSyncGetTransferState_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopSyncImportDeletes_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopSyncImportHierarchyChange_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopSyncImportMessageChange_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopSyncImportMessageMove_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopSyncImportReadStateChanges_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopSyncOpenCollector_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopSyncUploadStateStreamBegin_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopSyncUploadStateStreamContinue_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopSyncUploadStateStreamEnd_size (struct EcDoRpc_MAPI_REPL *response)

## Detailed Description

OXCFXICS ROP Response size calculations.

## Function Documentation

uint16_t libmapiserver_RopFastTransferSourceCopyTo_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate FastTransferSourceCopyTo (0x4d) Rop size

Parameters

  response | pointer to the FastTransferSourceCopyTo EcDoRpc_MAPI_REPL structure

Returns
  Size of FastTransferSourceCopyTo response

Referenced by EcDoRpc_RopFastTransferSourceCopyTo().

_PUBLIC_ uint16_t libmapiserver_RopFastTransferSourceGetBuffer_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate FastTransferSourceGetBuffer (0x4d) Rop size

Parameters

  response | pointer to the FastTransferSourceGetBuffer EcDoRpc_MAPI_REPL structure

Returns
  Size of FastTransferSourceGetBuffer response

Referenced by EcDoRpc_RopFastTransferSourceGetBuffer().

_PUBLIC_ uint16_t libmapiserver_RopGetLocalReplicaIds_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate GetLocalReplicaIds (0x7f) Rop size

Parameters

  response | pointer to the GetLocalReplicaIds EcDoRpc_MAPI_REPL structure

Returns
  Size of GetLocalReplicaIds response

Referenced by EcDoRpc_RopGetLocalReplicaIds().

_PUBLIC_ uint16_t libmapiserver_RopSetLocalReplicaMidsetDeleted_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate SetLocalReplicaMidsetDeleted (0x93) Rop size

Parameters

  response | pointer to the SetLocalReplicaMidsetDeleted EcDoRpc_MAPI_REPL structure

Returns
  Size of SetLocalReplicaMidsetDeleted response

Referenced by EcDoRpc_RopSetLocalReplicaMidsetDeleted().

_PUBLIC_ uint16_t libmapiserver_RopSyncConfigure_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate SyncConfigure (0x70) Rop size

Parameters

  response | pointer to the SyncConfigure EcDoRpc_MAPI_REPL structure

Returns
  Size of SyncConfigure response

Referenced by EcDoRpc_RopSyncConfigure().

_PUBLIC_ uint16_t libmapiserver_RopSyncGetTransferState_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate SyncGetTransferState (0x82) Rop size

Parameters

  response | pointer to the SyncGetTransferState EcDoRpc_MAPI_REPL structure

Returns
  Size of SyncGetTransferState response

Referenced by EcDoRpc_RopSyncGetTransferState().

_PUBLIC_ uint16_t libmapiserver_RopSyncImportDeletes_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate SyncImportDeletes (0x74) Rop size

Parameters

  response | pointer to the SyncImportDeletes EcDoRpc_MAPI_REPL structure

Returns
  Size of SyncImportDeletes response

Referenced by EcDoRpc_RopSyncImportDeletes().

_PUBLIC_ uint16_t libmapiserver_RopSyncImportHierarchyChange_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate SyncImportHierarchyChange (0x73) Rop size

Parameters

  response | pointer to the SyncImportHierarchyChange EcDoRpc_MAPI_REPL structure

Returns
  Size of SyncImportHierarchyChange response

Referenced by EcDoRpc_RopSyncImportHierarchyChange().

_PUBLIC_ uint16_t libmapiserver_RopSyncImportMessageChange_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate SyncImportMessageChange (0x73) Rop size

Parameters

  response | pointer to the SyncImportMessageChange EcDoRpc_MAPI_REPL structure

Returns
  Size of SyncImportMessageChange response

Referenced by EcDoRpc_RopSyncImportMessageChange().

_PUBLIC_ uint16_t libmapiserver_RopSyncImportMessageMove_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate SyncImportMessageMove (0x78) Rop size

Parameters

  response | pointer to the SyncImportMessageMove EcDoRpc_MAPI_REPL structure

Returns
  Size of SyncImportMessageMove response

_PUBLIC_ uint16_t libmapiserver_RopSyncImportReadStateChanges_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate SyncImportReadStateChanges (0x80) Rop size

Parameters

  response | pointer to the SyncImportReadStateChanges EcDoRpc_MAPI_REPL structure

Returns
  Size of SyncImportReadStateChanges response

Referenced by EcDoRpc_RopSyncImportReadStateChanges().

_PUBLIC_ uint16_t libmapiserver_RopSyncOpenCollector_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate SyncOpenCollector (0x7e) Rop size

Parameters

  response | pointer to the SyncOpenCollector EcDoRpc_MAPI_REPL structure

Returns
  Size of SyncOpenCollector response

Referenced by EcDoRpc_RopSyncOpenCollector().

_PUBLIC_ uint16_t libmapiserver_RopSyncUploadStateStreamBegin_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate SyncUploadStateStreamBegin (0x75) Rop size

Parameters

  response | pointer to the SyncUploadStateStreamBegin EcDoRpc_MAPI_REPL structure

Returns
  Size of SyncUploadStateStreamBegin response

Referenced by EcDoRpc_RopSyncUploadStateStreamBegin().

_PUBLIC_ uint16_t libmapiserver_RopSyncUploadStateStreamContinue_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate SyncUploadStateStreamContinue (0x76) Rop size

Parameters

  response | pointer to the SyncUploadStateStreamContinue EcDoRpc_MAPI_REPL structure

Returns
  Size of SyncUploadStateStreamContinue response

Referenced by EcDoRpc_RopSyncUploadStateStreamContinue().

_PUBLIC_ uint16_t libmapiserver_RopSyncUploadStateStreamEnd_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate SyncUploadStateStreamEnd (0x77) Rop size

Parameters

  response | pointer to the SyncUploadStateStreamEnd EcDoRpc_MAPI_REPL structure

Returns
  Size of SyncUploadStateStreamEnd response

Referenced by EcDoRpc_RopSyncUploadStateStreamEnd().

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/